# This is so your IDE knows about the syntax for fixes and autocomplete.
$schema: https://git.drupalcode.org/project/drupal/-/raw/HEAD/core/assets/schemas/v1/metadata.schema.json

# The human readable name.
name: Badge

# Status can be: "experimental", "stable", "deprecated", "obsolete".
status: stable

# Schema for the props. We support www.json-schema.org. Learn more about the
# syntax there.
props:
  # Props are always an object with keys. Each key is a variable in your
  # component template.
  type: object

  properties:
    status:
      type: string
      default: info
      enum:
        - info
        - success
      meta:enum:
        info: Information
        success: Success
slots:
  label:
    type: string
    description: Label text
